const replaceMap = [
  ['&', '&amp;'],
  ['<', '&lt;'],
  ['>', '&gt;'],
  ['"', '&quot;'],
  ["'", '&#39;'],
  ['/', '&#x2F;'],
  ['`', '&#x60;'],
  ['=', '&#x3D;']
];

function replacer(input, encode) {
  let replace = 1,
    replaceWith = 0;
  if (encode) {
    (replace = 0), (replaceWith = 1);
  }
  for (const replacer of replaceMap) {
    input = String(input).replace(
      new RegExp(replacer[replace], 'gim'),
      replacer[replaceWith]
    );
  }
  return input;
}

module.exports = {
  encode(input) {
    return replacer(input, true);
  },
  decode(input) {
    return replacer(input);
  }
};
